

# DeleteMembership
<a name="API_DeleteMembership"></a>

Deletes a membership, revoking a user's access to an agent space.

## Request Syntax
<a name="API_DeleteMembership_RequestSyntax"></a>

```
POST /DeleteMembership HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "string",
   "applicationId": "string",
   "membershipId": "string",
   "memberType": "string"
}
```

## URI Request Parameters
<a name="API_DeleteMembership_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DeleteMembership_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_DeleteMembership_RequestSyntax) **   <a name="securityagent-DeleteMembership-request-agentSpaceId"></a>
The unique identifier of the agent space to revoke access from.  
Type: String  
Required: Yes

 ** [applicationId](#API_DeleteMembership_RequestSyntax) **   <a name="securityagent-DeleteMembership-request-applicationId"></a>
The unique identifier of the application that contains the agent space.  
Type: String  
Required: Yes

 ** [membershipId](#API_DeleteMembership_RequestSyntax) **   <a name="securityagent-DeleteMembership-request-membershipId"></a>
The unique identifier of the membership to delete.  
Type: String  
Required: Yes

 ** [memberType](#API_DeleteMembership_RequestSyntax) **   <a name="securityagent-DeleteMembership-request-memberType"></a>
The type of member to remove.  
Type: String  
Valid Values: `USER`   
Required: No

## Response Syntax
<a name="API_DeleteMembership_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DeleteMembership_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DeleteMembership_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_DeleteMembership_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/DeleteMembership) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/DeleteMembership) 